package com.goldenwater.gx.mapper;

import java.util.List;

import com.goldenwater.gx.domain.GxExchangeUnit;
import org.apache.ibatis.annotations.Mapper;

/**
 * 数据交换单位Mapper接口
 */
@Mapper
public interface GxExchangeUnitMapper {
    public GxExchangeUnit selectGxExchangeUnitById(Long id);

    public List<GxExchangeUnit> selectGxExchangeUnitList(GxExchangeUnit unit);

    public int insertGxExchangeUnit(GxExchangeUnit unit);

    public int updateGxExchangeUnit(GxExchangeUnit unit);

    public int deleteGxExchangeUnitById(Long id);

    public int deleteGxExchangeUnitByIds(Long[] ids);

    public Integer selectMaxOrderNum();
}
